---
sidebar_label: CommonEventEmitter.once
---

# CommonEventEmitter.once() method

#### Signature:

```typescript
interface CommonEventEmitter {
  once(event: EventType, handler: Handler): this;
}
```

## Parameters

| Parameter | Type                                  | Description |
| --------- | ------------------------------------- | ----------- |
| event     | [EventType](./puppeteer.eventtype.md) |             |
| handler   | [Handler](./puppeteer.handler.md)     |             |

**Returns:**

this
